List your workspaces
curl --request GET \
--url https://api.kordio.io/control/v1/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kordio.io/control/v1/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kordio.io/control/v1/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"role": "member",
"capabilities": [
"read"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"code": "runtime_key_required"
}
}List your workspaces
Every workspace the caller is a member of. This is the one list on the control plane that is not paginated.
GET
/
control
/
v1
/
workspaces
List your workspaces
Authorizations
An identity bearer token for a person or your backend. Capabilities are per member, per workspace. This credential can manage the workspace and can never authorize an action as an agent.
Response
Your workspaces.
Show child attributes
Show child attributes